<?php
/**
 * @link         http://www.openzc.cn/
 * @author       hexipeng | e-mail:2017412656@qq.com
 * @copyright    Copyright (c) 2020, Openzc, Inc.
 * @license      http://www.openzc.cn/license.txt
 */
$autoLoadOpenzc[]=array("autoType"=>"config","loadFile"=>CONFIG_DIR."cache_file.inc.php");
$autoLoadOpenzc[]=array("autoType"=>"class","loadFile"=>CLASS_DIR."predata.class.php","className"=>"predata","Name"=>"predata_class");
$autoLoadOpenzc[]=array("autoType"=>"class","loadFile"=>CLASS_DIR."rewrite.class.php","className"=>"rewrite","Name"=>"rewrite_class");
$autoLoadOpenzc[]=array("autoType"=>"class","loadFile"=>CLASS_DIR."category.class.php","className"=>"category","Name"=>"category_class");
$autoLoadOpenzc[]=array("autoType"=>"class","loadFile"=>CLASS_DIR."product.class.php","className"=>"product","Name"=>"product_class");
$autoLoadOpenzc[]=array("autoType"=>"class","loadFile"=>CLASS_DIR."blog.class.php","className"=>"blog","Name"=>"blog_class");

$autoLoadOpenzc[]=array("autoType"=>"class","loadFile"=>CLASS_DIR."filter.class.php","className"=>"filter","Name"=>"filter_class");
$autoLoadOpenzc[]=array("autoType"=>"class","loadFile"=>CLASS_DIR."imagesizer.class.php","className"=>"ImageSizer","Name"=>"ImageSizer");
$autoLoadOpenzc[]=array("autoType"=>"class","loadFile"=>CLASS_DIR."ajax.class.php","className"=>"openzcajax","Name"=>"ajax_class");
$autoLoadOpenzc[]=array("autoType"=>"class","loadFile"=>CLASS_DIR."variable.class.php","className"=>"variable","Name"=>"variable_class");
$autoLoadOpenzc[]=array("autoType"=>"class","loadFile"=>INCLUDES_PATH."templates/".OPENZC_TEMPLATE_DIR."/helper.php","className"=>"helper","Name"=>"helper");
$autoLoadOpenzc[]=array("autoType"=>"class","loadFile"=>CLASS_DIR."ctag.class.php","className"=>"cTag","Name"=>"cTag");
$autoLoadOpenzc[]=array("autoType"=>"class","loadFile"=>CLASS_DIR."tag.class.php");
$autoLoadOpenzc[]=array("autoType"=>"class","loadFile"=>CLASS_DIR."tpl.class.php","className"=>"OpenzcTemplate","Name"=>"OpenzcTpl");

foreach(scandir(MODEL_DIR) as $k => $v){
	if($v!="." && $v!=".."){
		$name=explode(".",$v);
		$name=$name[0];
		$autoLoadOpenzc[]=array("autoType"=>"model","loadFile"=>MODEL_DIR.$v,"className"=>$name."Model","Name"=>$name."Model");
	}
}

$sysAjaxAction=array('addCart','delCart','addOne','cutOne','addWishlist','cartQty','addCompare','delWishlist','delCompare','writeReviews','getSKU','getHtml','listFlow','slidePrice','getPreview','autoReload',"getSearch","clearCart","buyNow","clearCompare","clearWishlist","getContact","getNewsletter","setShipping","getCoupon","getNewsletter");
?>